Package org.jbpm.process.workitem.webservice

## Class RawXMLStreamWriter

- java.lang.Object
- - org.apache.cxf.staxutils.DelegatingXMLStreamWriter
  - - org.jbpm.process.workitem.webservice.RawXMLStreamWriter

- All Implemented Interfaces:
    `XMLStreamWriter`

      public class RawXMLStreamWriter
      extends org.apache.cxf.staxutils.DelegatingXMLStreamWriter

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawXMLStreamWriter​(XMLStreamWriter del, Collection<String> rawElements)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeCharacters​(char[] text, int start, int len)` |
    `void` | `writeStartElement​(String prefix, String local, String uri)` |

    - ### Methods inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

      `close, flush, getNamespaceContext, getPrefix, getProperty, setDefaultNamespace, setNamespaceContext, setPrefix, writeAttribute, writeAttribute, writeAttribute, writeCData, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEndElement, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument, writeStartElement, writeStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawXMLStreamWriter

          public RawXMLStreamWriter​(XMLStreamWriter del,
                                    Collection<String> rawElements)

  - ### Method Detail

    - #### writeStartElement

          public void writeStartElement​(String prefix,
                                        String local,
                                        String uri)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `org.apache.cxf.staxutils.DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(char[] text,
                                      int start,
                                      int len)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Overrides:
        `writeCharacters` in class `org.apache.cxf.staxutils.DelegatingXMLStreamWriter`
      Throws:
        `XMLStreamException`